	function calct(elo,route,resp,bmres)
c
	include '/u1/gcf/e350/crystal/cb/wenbin'
	include '/u1/gcf/e350/crystal/cb/beam'
	include '/u1/gcf/e350/crystal/cb/it'
	external resp,route,bmres
c
	calct=0.
	do 3 ibm=1,nobeam
	at=0.
	do 2 i=1,noint
	v=val(i,ibm)
	tt=0.
	do 1 k=1,moint
1	tt=tt+wgt1(k,it)*resp(elo+val1(k,it),v)
2	at=at+tt*wgt(i,ibm)*route(v)
3	calct=calct+at*bmres(pbm(ibm))*wgp(ibm)
	return
	end
